<!--correction simon-->

<!DOCTYPE html>
<html>
<head>
	<title>Mon Simon</title>
	<style type="text/css">
		button {
			width: 100px;
			height: 100px;
			display: inline-block;
			padding: 0;
			background-color: #fff;
		}
		span.pushed {
			background-color: #de5214;
			display: none;
			width: 100%;
			height: 100%;
		}
		button#btn2 span.pushed {
			background-color: #52de14;
		}
		button#btn3 span.pushed {
			background-color: #5214de;
		}
		button#btn4 span.pushed {
			background-color: #dede52;
		}
		button:active span.pushed, button.actif span.pushed {
			display: block;
		}
	</style>
</head>
<body>
	<button id="btn1"><span class="pushed"></span></button>
	<button id="btn2"><span class="pushed"></span></button>
	<button id="btn3"><span class="pushed"></span></button>
	<button id="btn4"><span class="pushed"></span></button>
	<script type="text/javascript">
		var boutons = [document.getElementById("btn1"), document.getElementById("btn2"), document.getElementById("btn3"), document.getElementById("btn4")];
		var sequence = [];

		// 0 : initialisation
		for (var i = 0; i < 4; i++) {
			sequence.push(boutons[Math.floor(Math.random() * 4)]);
		}

		console.log("Mémorise la séquence");
		
		// 1 : montrer au joueur les boutons choisis
		var courant = 0;
		function allumer() {

			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			// allumer le bouton
			sequence[courant].classList.add('actif');

			// différer l'extinction de 600ms
			setTimeout(eteindre, 600, sequence[courant]);

			// différer l'allumage du bouton suivant dans 700ms
			courant++;
			if (courant < sequence.length) {
				setTimeout(allumer, 700);
			} else{
				tourJoueur();
			}
		}

		function tourJoueur(){
			console.log("A vous");
			courant = 0;

			var to = setTimeout(gameover, 5000);
			// écouter les clics
			for (var i = 0; i < boutons.length; i++){
				boutons[i].addEventListener("click",verif);
			}

			function gameover (){
				console.log("temps écoulé");
				for (var i = 0; i < boutons.length; i++) {
					boutons[i].removeEventListener("click", verif);
				}
			}
			//comparer avec la séquence  --this désigne le déclancheur de l'évenement
			function verif() {
				clearTimeout(to);
				if (this != sequence[courant]){
					// perdu
					sequence = [];
					courant = 0;
					console.log("perdu");
					for (var i = 0; i < boutons.length; i++) {
						boutons[i].removeEventListener("click", verif);
					}
				} else {
					// quand on clique sur le bon bouton
					courant++;
					if (courant < sequence.length) {
						to = setTimeout(gameover, 5000);
						// gagné
						sequence.push(boutons[Math.floor(Math.random() * 4)]);
						courant = 0;
						setTimeout(allumer, 300);
						for (var i = 0; i < boutons.length; i++) {
							boutons[i].removeEventListener("click", verif);
						}
					}
				}
			}
		}
		allumer();
	</script>
</body>
</html>

	<!-- // // ou

	//DOMElement.classList.add() || .remove()

	// for (var i = 0; i < sequence.length; i++) {
	// 	sequence[i].classList.add("actif");
	// 	setTimeout(function() {
	// 		sequence[i].classList.remove("actif");
	// 	}, 600);
	// }

	// var conrant = 0;
	// function allumer () {
	// 	// allume le bouton
	// 	sequence [courant].classList.add("actif");

	// 	// éteindre
	// 	setTimeout(function(bouton_a_eteindre) {
	// 		bouton_a_eteindre.remove("actif");
	// 	}, 600, sequence[courant]);

	// 	courant ++;
	// 	if (courant < sequence.length) {
	// 	setTimeout(allumer, 700);
	// 	}
	// } -->
